hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-8059) Enhance test-patch.sh so that patch can specify hadoop-2.0 as the default profile
Date Sun, 10 Mar 2013 04:01:13 GMT

    [ https://issues.apache.org/jira/browse/HBASE-8059?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13598150#comment-13598150
] 

Hudson commented on HBASE-8059:
-------------------------------

Integrated in HBase-TRUNK #3940 (See [https://builds.apache.org/job/HBase-TRUNK/3940/])
    HBASE-8059 Enhance test-patch.sh so that patch can specify hadoop-2.0 as the default profile,
part 1 (Ted Yu) (Revision 1454777)

     Result = SUCCESS
tedyu : 
Files : 
* /hbase/trunk/dev-support/test-patch.sh

                
> Enhance test-patch.sh so that patch can specify hadoop-2.0 as the default profile
> ---------------------------------------------------------------------------------
>
>                 Key: HBASE-8059
>                 URL: https://issues.apache.org/jira/browse/HBASE-8059
>             Project: HBase
>          Issue Type: Improvement
>            Reporter: Ted Yu
>             Fix For: 0.98.0
>
>         Attachments: 7904-v4-hadoop-2.0.txt, 8059-v1.txt, 8059-v2.txt, hadoop-2.0-template-pom.xml
>
>
> Over in HBASE-7904, I produced a patch which uses hadoop-2.0 as the default profile.
> However, when QA tries to validate compilation against hadoop-2.0:
> {code}
> [ERROR] The build could not read 1 project -> [Help 1]
> [ERROR]
> [ERROR]   The project org.apache.hbase:hbase:0.97-SNAPSHOT (/Users/tyu/trunk/pom.xml)
has 2 errors
> [ERROR]     'dependencyManagement.dependencies.dependency.artifactId' for org.apache.hbase:${compat.module}:jar
with value '${compat.module}' does not match a valid id pattern. @ line 979, column 21
> [ERROR]     'dependencyManagement.dependencies.dependency.artifactId' for org.apache.hbase:${compat.module}:test-jar
with value '${compat.module}' does not match a valid id pattern. @ line 984, column 21
> {code}
> We should enhance test-patch.sh so that patch with hadoop-2.0 as default profile doesn't
go through validation step against hadoop-2.0
> Ideally, the changes in various pom.xml files should be saved as template. User can specify
the hadoop profile to test against in the header of patch file.
> e.g.
> {code}
> This patch uses hadoop-2.0 as default profile
> Index: hbase-server/src/test/java/org/apache/hadoop/hbase/HBaseTestingUtility.java
> {code}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message